import React from "react";
import { Button } from "@react-components/button";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createTestSuite } from "./createTestSuite";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("ButtonGroup")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createTestSuite( /*#__PURE__*/React.createElement(Button.Group, null), stories("/standard"));
createTestSuite( /*#__PURE__*/React.createElement(Button.Group, {
  primary: true
}), stories("/primary"));
createTestSuite( /*#__PURE__*/React.createElement(Button.Group, {
  secondary: true
}), stories("/secondary"));
createTestSuite( /*#__PURE__*/React.createElement(Button.Group, {
  positive: true
}), stories("/positive"));
createTestSuite( /*#__PURE__*/React.createElement(Button.Group, {
  negative: true
}), stories("/negative"));
createTestSuite( /*#__PURE__*/React.createElement(Button.Group, {
  basic: true
}), stories("/basic"));