import React from "react";
import { DateRangePicker } from "@react-components/date-picker";
import { PureComponent } from "react";
import { bool } from "prop-types";
import { isNil } from "lodash";
import { momentObj as momentType } from "react-moment-proptypes";
import moment from "moment";
export class ControlledDateRangePicker extends PureComponent {
  constructor(...args) {
    super(...args);
    this.state = {
      startDate: this.props.startDate,
      endDate: this.props.endDate,
      open: this.props.open
    };

    this.handleDatesChange = (event, startDate, endDate) => {
      const {
        onDatesChange
      } = this.props;
      this.setState({
        startDate,
        endDate
      });
      onDatesChange(event, startDate, endDate);
    };

    this.handleVisibilityChange = (event, open) => {
      this.setState({
        open
      });
    };
  }

  render() {
    const {
      startDate,
      endDate,
      open
    } = this.state;
    const labelStyle = {
      width: "80px"
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "mb6"
    }, /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: labelStyle
    }, "startDate:"), " ", isNil(startDate) ? "null" : moment(startDate).format("YYYY-MM-DD")), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: labelStyle
    }, "endDate:"), " ", isNil(endDate) ? "null" : moment(endDate).format("YYYY-MM-DD")), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: labelStyle
    }, "open:"), " ", open ? "true" : "false")), /*#__PURE__*/React.createElement(DateRangePicker, Object.assign({}, this.state, {
      onDatesChange: this.handleDatesChange,
      onVisibilityChange: this.handleVisibilityChange
    })));
  }

}
ControlledDateRangePicker.displayName = "ControlledDateRangePicker";
ControlledDateRangePicker.propTypes = {
  startDate: momentType,
  endDate: momentType,
  open: bool
};
ControlledDateRangePicker.defaultProps = {
  open: false
};