import React from "react";
import { PureComponent } from "react";
import { SingleDatePicker } from "@react-components/date-picker";
import { bool } from "prop-types";
import { isNil } from "lodash";
import { momentObj as momentType } from "react-moment-proptypes";
import moment from "moment";
export class ControlledSingleDatePicker extends PureComponent {
  constructor(...args) {
    super(...args);
    this.state = {
      date: this.props.date,
      open: this.props.open
    };

    this.handleDateChange = (event, date) => {
      const {
        onDateChange
      } = this.props;
      this.setState({
        date
      });
      onDateChange(event, date);
    };

    this.handleVisibilityChange = (event, open) => {
      this.setState({
        open
      });
    };
  }

  render() {
    const {
      date,
      open
    } = this.state;
    const style = {
      width: "80px"
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "mb6"
    }, /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "date:"), " ", isNil(date) ? "null" : moment(date).format("YYYY-MM-DD")), /*#__PURE__*/React.createElement("div", {
      className: "mb1"
    }, /*#__PURE__*/React.createElement("span", {
      className: "dib fw6",
      style: style
    }, "open:"), " ", open ? "true" : "false")), /*#__PURE__*/React.createElement(SingleDatePicker, Object.assign({}, this.state, {
      onDateChange: this.handleDateChange,
      onVisibilityChange: this.handleVisibilityChange
    })));
  }

}
ControlledSingleDatePicker.displayName = "ControlledSingleDatePicker";
ControlledSingleDatePicker.propTypes = {
  date: momentType,
  open: bool
};
ControlledSingleDatePicker.defaultProps = {
  open: false
};