import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { DropdownItem } from "./DropdownItem";
import { elementType, oneOfType, string } from "prop-types";
import { forwardRef } from "react";
const propTypes = {
  /**
   * An HTML element type or a custom React element type to render as.
   */
  as: oneOfType([string, elementType])
};
export function InnerDropdownButtonItem(_ref) {
  let {
    as,
    forwardedRef
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["as", "forwardedRef"]);

  return /*#__PURE__*/React.createElement(DropdownItem, Object.assign({}, rest, {
    className: "dropdown-button-item",
    as: as || "button",
    ref: forwardedRef
  }));
}
InnerDropdownButtonItem.displayName = "InnerDropdownButtonItem";
InnerDropdownButtonItem.propTypes = propTypes;
export const DropdownButtonItem = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerDropdownButtonItem, Object.assign({}, props, {
  forwardedRef: ref
})));