import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { DropdownContext } from "./DropdownContext";
import { EmbeddedIcon } from "../../icons";
import { Dropdown as SemanticDropdown } from "semantic-ui-react";
import { element } from "prop-types";
import { forwardRef, useContext } from "react";
import { isNil } from "lodash";
import { throwWhenUnsupportedPropIsProvided } from "../../shared";
const UNSUPPORTED_PROPS = ["content"];
const propTypes = {
  /**
   * [Shorthand](/?path=/docs/getting-started-shorthand-props--page) to display an [icon](/?path=/docs/components-icon--default-story) before the text.
   */
  icon: element
};
export function InnerDropdownHeader(props) {
  const {
    icon,
    children,
    forwardedRef
  } = props,
        rest = _objectWithoutProperties(props, ["icon", "children", "forwardedRef"]);

  const {
    size
  } = useContext(DropdownContext);
  throwWhenUnsupportedPropIsProvided(props, UNSUPPORTED_PROPS, "@orbit-ui/react-components/DropdownHeader");
  const iconMarkup = !isNil(icon) && /*#__PURE__*/React.createElement(EmbeddedIcon, {
    icon: icon,
    size: size
  });
  return /*#__PURE__*/React.createElement(SemanticDropdown.Header, Object.assign({}, rest, {
    ref: forwardedRef
  }), iconMarkup, /*#__PURE__*/React.createElement("span", {
    className: "text"
  }, children));
}
InnerDropdownHeader.displayName = "InnerDropdownHeader";
InnerDropdownHeader.propTypes = propTypes;
export const DropdownHeader = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerDropdownHeader, Object.assign({}, props, {
  forwardedRef: ref
})));