import React from "react";
import { Button } from "@react-components/button";
import { DropdownContext } from "@react-components/dropdown";
import { VerticalDotsIcon } from "@react-components/icons";
import { forwardRef, useContext } from "react";
export const CustomTrigger = /*#__PURE__*/forwardRef(({
  onClick
}, ref) => {
  const {
    isOpen,
    size
  } = useContext(DropdownContext);
  return /*#__PURE__*/React.createElement(Button, {
    size: size,
    circular: true,
    primary: isOpen,
    secondary: !isOpen,
    icon: /*#__PURE__*/React.createElement(VerticalDotsIcon, null),
    onClick: onClick,
    ref: ref
  });
});