import React from "react";
import { Button } from "@react-components/button";
import { CloseIcon, MagnifierIcon } from "@react-components/icons";
import { Input } from "@react-components/input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Input")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement(Input, null)).add("placeholder", () => /*#__PURE__*/React.createElement(Input, {
  placeholder: "Where to?"
})).add("value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  value: "SpaceX will win the race!",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  placeholder: "Where to?"
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  disabled: true,
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  loading: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  loading: true,
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  placeholder: "Where to?",
  wrapperClassName: "mr5"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  iconPosition: "left",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
})))).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(Input, {
  active: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  focus: true,
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  hover: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  focus: true,
  hover: true,
  placeholder: "Where to?"
})))).add("disabled", () => /*#__PURE__*/React.createElement(Input, {
  disabled: true,
  placeholder: "Where to?"
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  loading: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  loading: true,
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  loading: true,
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  loading: true,
  iconPosition: "left",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  loading: true,
  iconPosition: "left",
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  loading: true,
  iconPosition: "left",
  placeholder: "Where to?"
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb5"
}, /*#__PURE__*/React.createElement(Input, {
  fluid: true,
  placeholder: "Where to?"
})), /*#__PURE__*/React.createElement("div", {
  className: "w-10"
}, /*#__PURE__*/React.createElement(Input, {
  fluid: true,
  placeholder: "Where to?"
})))).add("error", () => /*#__PURE__*/React.createElement(Input, {
  error: true,
  placeholder: "Where to?"
})).add("transparent", () => /*#__PURE__*/React.createElement(Input, {
  transparent: true,
  placeholder: "Where to?"
})).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Input, {
  placeholder: "Where to?",
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Where to?",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Where to?",
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  size: "small",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  defaultValue: "SpaceX will win the race!",
  size: "large"
})))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  wrapperClassName: "border-red mr5"
}), /*#__PURE__*/React.createElement(Input, {
  wrapperClassName: "mr5",
  wrapperStyle: {
    border: "1px solid red"
  }
}), /*#__PURE__*/React.createElement(Input, {
  wrapperClassName: "mr5",
  className: "border-red"
}), /*#__PURE__*/React.createElement(Input, {
  style: {
    border: "1px solid red"
  }
})));
stories("/button").add("default", () => /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  })
})).add("disabled", () => /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  disabled: true
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  loading: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(CloseIcon, null),
  loading: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  icon: /*#__PURE__*/React.createElement(CloseIcon, null),
  loading: true,
  iconPosition: "left"
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Input, {
  size: "small",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  }),
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(Input, {
  size: "large",
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  })
})));