import React from "react";
import { Button } from "@react-components/button";
import { CloseIcon, EditIcon } from "@react-components/icons";
import { NumberInput } from "@react-components/number-input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("NumberInput")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(NumberInput, {
  className: "mr5"
}), /*#__PURE__*/React.createElement(NumberInput, {
  placeholder: "Amount"
}))).add("integer value", () => /*#__PURE__*/React.createElement(NumberInput, {
  defaultValue: 10
})).add("decimal value", () => /*#__PURE__*/React.createElement(NumberInput, {
  defaultValue: 10.999
})).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(NumberInput, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(NumberInput, {
  icon: /*#__PURE__*/React.createElement(EditIcon, null),
  iconPosition: "left"
}))).add("button", () => /*#__PURE__*/React.createElement(NumberInput, {
  button: /*#__PURE__*/React.createElement(Button, {
    icon: /*#__PURE__*/React.createElement(CloseIcon, null)
  })
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(NumberInput, {
  loading: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(NumberInput, {
  loading: true,
  icon: /*#__PURE__*/React.createElement(EditIcon, null),
  className: "mr5"
}), /*#__PURE__*/React.createElement(NumberInput, {
  loading: true,
  icon: /*#__PURE__*/React.createElement(EditIcon, null),
  iconPosition: "left",
  className: "mr5"
})));