import React from "react";
import { AutoControlledPopper, Popper } from "@react-components/popper";
import { Button } from "@react-components/button";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { forwardRef } from "react";
import { isNil } from "lodash";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Popper/auto controlled")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%",
    height: "600px",
    marginTop: "100px"
  }).chromaticDelay(100).chromaticPauseAnimationAtEnd().build()).build();
}

const RedBox = /*#__PURE__*/forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement("div", Object.assign({}, props, {
    className: "w12 h12 pa2 bg-red",
    ref: ref
  }), /*#__PURE__*/React.createElement("a", {
    href: "https://en.wikipedia.org/wiki/David_Saint-Jacques",
    target: "__blank"
  }, "David Saint-Jacques"));
});

function RedBoxPopper(props) {
  return /*#__PURE__*/React.createElement(AutoControlledPopper, Object.assign({}, props, {
    trigger: /*#__PURE__*/React.createElement(Button, {
      fluid: true
    }, "Open"),
    toggleHandler: "onClick"
  }), /*#__PURE__*/React.createElement(RedBox, null));
}

RedBoxPopper.displayName = "RedBoxPopper";

function setBlueBorders(element) {
  if (!isNil(element)) {
    element.classList.add("border-blue");
  }
}

stories().add("default", () => /*#__PURE__*/React.createElement(RedBoxPopper, null)).add("show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true
})).add("default show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  defaultShow: true
})).add("focus trigger on show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  focusTriggerOnShow: true
})).add("focus first element on show", () => /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  focusFirstElementOnShow: true
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  disabled: true,
  show: true
})))).add("multiple popper visible on the same page", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true
})))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  className: "border-blue"
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  style: {
    border: "1px solid blue"
  }
})))).add("custom popper component", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  popper: /*#__PURE__*/React.createElement(Popper, {
    className: "border-blue"
  })
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  popper: /*#__PURE__*/React.createElement(Popper, {
    ref: setBlueBorders
  })
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "100px"
  }
}, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  popper: {
    className: "border-blue"
  }
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(RedBoxPopper, {
  show: true,
  popper: {
    className: "border-blue",
    ref: setBlueBorders
  }
}))));