import React from "react";
import { Radio } from "@react-components/radio";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createTestSuite } from "./createTestSuite";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Radio")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createTestSuite( /*#__PURE__*/React.createElement(Radio, null), stories("/unchecked"));
createTestSuite( /*#__PURE__*/React.createElement(Radio, {
  defaultChecked: true
}), stories("/checked"));