import React from "react";

/* eslint-disable react-hooks/rules-of-hooks */
import { PureComponent } from "react";
import { RemoteSearchInput, searchInputResult, withDefaultResultsFetcher } from "@react-components/search-input";
export class CountriesSearchInput extends PureComponent {
  constructor(...args) {
    super(...args);

    this.handleResults = response => {
      return response.data.map(x => searchInputResult(x.code, x.name));
    };

    this.handleFetchResults = withDefaultResultsFetcher("http://geodb-free-service.wirefreethought.com/v1/geo/countries?limit=5", "namePrefix");
  }

  render() {
    return /*#__PURE__*/React.createElement(RemoteSearchInput, Object.assign({
      onFetchResults: this.handleFetchResults,
      onResults: this.handleResults
    }, this.props));
  }

}
CountriesSearchInput.displayName = "CountriesSearchInput";