import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { SIZE } from "../../shared";
import { Image as SemanticImage } from "semantic-ui-react";
import { isElement } from "react-is";
const AVATAR_SIZE = {
  [SIZE.small]: SIZE.mini,
  [SIZE.medium]: SIZE.tiny,
  [SIZE.large]: SIZE.small
};
export function renderAvatar(avatar, size) {
  const props = {
    avatar: true,
    size: AVATAR_SIZE[size || SIZE.medium]
  };

  if (isElement(avatar)) {
    return /*#__PURE__*/React.createElement(SemanticImage, props, avatar);
  }

  return SemanticImage.create(_objectSpread(_objectSpread({}, avatar), props));
}