import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";

/* eslint max-len: 0 */
import { CalendarIcon, MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/inline")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const MALE = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE = {
  key: "Female",
  text: "Female",
  value: "Female"
};

function InlineSelect(props) {
  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "select gender",
    inline: true,
    options: [MALE, FEMALE]
  }, props));
}

InlineSelect.displayName = "InlineSelect";

function IconsInlineSelect(_ref) {
  let {
    iconsPosition = "left"
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["iconsPosition"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "select gender",
    inline: true,
    options: [_objectSpread(_objectSpread({}, MALE), {}, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    }), _objectSpread(_objectSpread({}, FEMALE), {}, {
      icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
      iconsPosition
    })]
  }, rest));
}

IconsInlineSelect.displayName = "IconsInlineSelect";

function AvatarInlineSelect(props) {
  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "select gender",
    inline: true,
    options: [_objectSpread(_objectSpread({}, MALE), {}, {
      avatar: {
        src: "https://randomuser.me/api/portraits/men/14.jpg",
        alt: "Male"
      }
    }), _objectSpread(_objectSpread({}, FEMALE), {}, {
      avatar: {
        src: "https://randomuser.me/api/portraits/women/14.jpg",
        alt: "Female"
      }
    })]
  }, props));
}

AvatarInlineSelect.displayName = "AvatarInlineSelect";
stories().add("default", () => /*#__PURE__*/React.createElement(InlineSelect, null)).add("open", () => /*#__PURE__*/React.createElement(InlineSelect, {
  open: true
})).add("default open", () => /*#__PURE__*/React.createElement(InlineSelect, {
  defaultOpen: true
})).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(InlineSelect, {
  defaultValue: "Female",
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  defaultValue: "Female",
  open: true
}))).add("in a block", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus.")), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  open: true
}), "elementum viverra maximus.")))).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(InlineSelect, {
  active: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  focus: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  hover: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  focus: true,
  hover: true
}))).add("disabled", () => /*#__PURE__*/React.createElement(InlineSelect, {
  disabled: true
})).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lore euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  loading: true
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lore euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  loading: true
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f6 mb12"
}, "Lore euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  loading: true
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lore euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  loading: true
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lore euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  loading: true
}), "elementum viverra maximus."))).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(InlineSelect, {
  error: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  error: true,
  open: true
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f6 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, {
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
}), "elementum viverra maximus."))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f6 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", /*#__PURE__*/React.createElement(InlineSelect, null), "elementum viverra maximus."))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(InlineSelect, {
  wrapperClassName: "border-red mr5"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  wrapperClassName: "border-red mr5",
  wrapperStyle: {
    border: "1px solid red"
  }
}), /*#__PURE__*/React.createElement(InlineSelect, {
  wrapperClassName: "mr5",
  className: "border-red"
}), /*#__PURE__*/React.createElement(InlineSelect, {
  style: {
    border: "1px solid red"
  }
}))).add("item avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f6 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(AvatarInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod elementum viverra maximus."))).add("item icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(IconsInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female",
  iconsPosition: "right"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(IconsInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female",
  iconsPosition: "right"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f6 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(IconsInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female",
  iconsPosition: "right"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(IconsInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female",
  iconsPosition: "right"
}), " euismod elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement(IconsInlineSelect, null), ", consectetur adipiscing elit ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female"
}), ". Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at ", /*#__PURE__*/React.createElement(IconsInlineSelect, {
  defaultValue: "Female",
  iconsPosition: "right"
}), " euismod elementum viverra maximus.")));