import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { CalendarIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/item")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const MALE_ITEM = {
  key: "Male",
  text: "Male",
  value: "Male"
};
const FEMALE_ITEM = {
  key: "Female",
  text: "Female",
  value: "Female"
};

function SimpleSelect(_ref) {
  let {
    options = [MALE_ITEM, FEMALE_ITEM]
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({}, rest, {
    options: options
  }));
}

SimpleSelect.displayName = "SimpleSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleSelect, {
  size: "large",
  open: true
})))).add("active", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    active: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    active: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    active: true
  })],
  size: "large",
  open: true
})))).add("selected", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    selected: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    selected: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    selected: true
  })],
  size: "large",
  open: true
})))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    disabled: true
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    disabled: true
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    disabled: true
  })],
  size: "large",
  open: true
})))).add("description", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!"
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!"
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!"
  })],
  size: "large",
  open: true
})))).add("icons left", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  size: "small",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null)
  })],
  size: "large",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)]
  })],
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    disabled: true
  })],
  open: true
})))).add("icon right", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  size: "small",
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "small",
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "small",
  fluid: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  fluid: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: /*#__PURE__*/React.createElement(CalendarIcon, null),
    iconsPosition: "right"
  })],
  size: "large",
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "large",
  fluid: true,
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "To infinite and beyond!",
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    iconsPosition: "right"
  })],
  size: "large",
  fluid: true,
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    icons: [/*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null), /*#__PURE__*/React.createElement(CalendarIcon, null)],
    disabled: true,
    iconsPosition: "right"
  })],
  open: true
})))).add("avatar", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  size: "small",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  size: "small",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }
  })],
  size: "large",
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    })
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    })
  })],
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [_objectSpread(_objectSpread({}, MALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/men/14.jpg",
      alt: "Male"
    }),
    disabled: true
  }), _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    avatar: /*#__PURE__*/React.createElement("img", {
      src: "https://randomuser.me/api/portraits/women/14.jpg",
      alt: "Female"
    }),
    disabled: true
  })],
  open: true
})))).add("overflow", () => /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    text: "Super long text that will not fit without overflowing"
  })],
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    description: "Super long text that will not fit without overflowing"
  })],
  open: true
}))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    className: "bg-red"
  })],
  open: true,
  wrapperClassName: "mr5"
}), /*#__PURE__*/React.createElement(SimpleSelect, {
  options: [MALE_ITEM, _objectSpread(_objectSpread({}, FEMALE_ITEM), {}, {
    style: {
      background: "red"
    }
  })],
  open: true
}))));