import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { SIZE } from "./size";
import { augmentElement, augmentElementProps } from "./augmentElement";
import { isElement, isValidElementType } from "react-is";
import { isFunction, isNil, isPlainObject, isString } from "lodash";
export function createShorthandFactory(ComponentType, customFactory) {
  const factory = (shorthand, props = {}) => {
    if (isNil(shorthand)) {
      return null;
    } // Handling custom element type for convenience.


    if (isValidElementType(shorthand) && // isValidElementType returns true even if the string is not a valid element type, we choosed to exclude all strings.
    !isString(shorthand)) {
      const Type = shorthand;
      return /*#__PURE__*/React.createElement(Type, props);
    }

    if (isElement(shorthand)) {
      return augmentElement(shorthand, props);
    }

    if (isPlainObject(shorthand)) {
      const {
        children
      } = props;

      const {
        content
      } = shorthand,
            rest = _objectWithoutProperties(shorthand, ["content"]);

      const agumentedProps = augmentElementProps(rest, _objectSpread(_objectSpread({}, props), {}, {
        children: !isNil(content) ? content : children
      }));
      return /*#__PURE__*/React.createElement(ComponentType, agumentedProps);
    }

    if (isFunction(customFactory)) {
      const component = customFactory(shorthand, props, factory);

      if (!isNil(component)) {
        return component;
      }
    }

    throw new Error("Cannot create an instance of ".concat(ComponentType, " from shorthand. Unknown format: \"").concat(shorthand, "\"."));
  };

  return factory;
}
export function createShorthandFactoryForEmbedded(shorthandFactory, sizeChart) {
  return (shorthand, props = {}, ...rest) => {
    const newProps = _objectSpread(_objectSpread({}, props), {}, {
      size: sizeChart[props.size || SIZE.medium]
    });

    return shorthandFactory(shorthand, newProps, ...rest);
  };
}