import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import { isNil, pickBy } from "lodash";
import { isNilOrEmpty } from "./isNilOrEmpty";
const DEFAULT_TIMEOUT = 0;
const DEFAULT_OPTIONS = {
  headers: {
    "Content-Type": "application/json"
  },
  timeout: DEFAULT_TIMEOUT
};

function fetchWithTimeout(url, options) {
  const {
    timeout
  } = options,
        requestOptions = _objectWithoutProperties(options, ["timeout"]);

  if (!isNil(timeout) && timeout > 0) {
    return Promise.race([fetch(url, requestOptions), new Promise((resolve, reject) => setTimeout(() => reject({
      isTimeout: true
    }), timeout))]);
  }

  return fetch(url, requestOptions);
}

function toSearch(params) {
  const instance = new URLSearchParams();
  Object.keys(params).forEach(key => {
    instance.append(key, params[key]);
  });
  return instance.toString();
}

export function httpGet({
  url,
  data,
  options = {}
}) {
  let requestUrl = url;

  if (!isNil(data)) {
    const urlParameters = toSearch(pickBy(data, x => !isNil(x)));

    if (!isNilOrEmpty(urlParameters)) {
      const separator = requestUrl.includes("?") ? "&" : "?";
      requestUrl = "".concat(requestUrl).concat(separator).concat(urlParameters);
    }
  }

  return fetchWithTimeout(requestUrl, _objectSpread(_objectSpread({
    method: "GET"
  }, DEFAULT_OPTIONS), options));
}