import React from "react";
import { Label } from "@react-components/label";
import { Menu, Tab } from "@react-components/tab";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Tab")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Tab, {
  menu: {
    secondary: true,
    pointing: true
  },
  panes: [{
    menuItem: "Star",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 1 Content")
  }, {
    menuItem: "Rocket",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 2 Content")
  }, {
    menuItem: "Galaxy",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 3 Content")
  }]
}), /*#__PURE__*/React.createElement(Tab, {
  menu: {
    secondary: true,
    pointing: true
  },
  defaultActiveIndex: 2,
  panes: [{
    menuItem: "Star",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 1 Content")
  }, {
    menuItem: "Rocket",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 2 Content")
  }, {
    menuItem: "Galaxy",
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 3 Content")
  }]
}), /*#__PURE__*/React.createElement(Tab, {
  menu: {
    secondary: true,
    pointing: true
  },
  panes: [{
    menuItem: {
      key: "users",
      content: "Users"
    },
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 1 Content")
  }, {
    menuItem: /*#__PURE__*/React.createElement(Menu.Item, {
      key: "messages",
      className: "with-label"
    }, "Messages", /*#__PURE__*/React.createElement(Label, {
      naked: true,
      highlight: true,
      className: "bg-primary-500",
      size: "mini"
    }, "NEW")),
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 2 Content")
  }]
}), /*#__PURE__*/React.createElement(Tab, {
  menu: {
    secondary: true,
    pointing: true
  },
  defaultActiveIndex: 1,
  panes: [{
    menuItem: {
      key: "users",
      content: "Users"
    },
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 1 Content")
  }, {
    menuItem: /*#__PURE__*/React.createElement(Menu.Item, {
      key: "messages",
      className: "with-label"
    }, "Messages", /*#__PURE__*/React.createElement(Label, {
      naked: true,
      highlight: true,
      className: "bg-primary-500",
      size: "mini"
    }, "NEW")),
    render: () => /*#__PURE__*/React.createElement(Tab.Pane, {
      attached: false
    }, "Tab 2 Content")
  }]
})));