import React from "react";
import { SIZE } from "@react-components/shared";
import { Tag, createEmbeddedTag, createTag } from "@react-components/tag";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { isNil } from "lodash";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Tag")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "micro"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "mini"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "tiny"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "small"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "medium"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "large"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "big"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5",
  size: "huge"
}), /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red",
  size: "massive"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(Tag, {
  style: {
    backgroundColor: "red"
  }
}))));

function setRedBackground(element) {
  if (!isNil(element)) {
    element.classList.add("bg-red");
  }
}

stories("/shorthands").add("element", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createTag( /*#__PURE__*/React.createElement(Tag, {
  className: "bg-red mr5"
})), createTag( /*#__PURE__*/React.createElement(Tag, {
  ref: setRedBackground
})))).add("object", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createTag({
  className: "bg-red mr5"
}), createTag({
  ref: setRedBackground
}))).add("string", () => createTag("bg-red")).add("embedded", () => /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, createEmbeddedTag({
  className: "bg-red mr5"
}, {
  size: SIZE.micro
}), createEmbeddedTag({
  className: "bg-red mr5"
}, {
  size: SIZE.mini
}), createEmbeddedTag({
  className: "bg-red mr5"
}, {
  size: SIZE.tiny
}), createEmbeddedTag({
  className: "bg-red mr5"
}, {
  size: SIZE.small
}), createEmbeddedTag({
  className: "bg-red mr5"
}), createEmbeddedTag({
  className: "bg-red"
}, {
  size: SIZE.large
})));