import React from "react";
import { MagnifierIcon } from "../../icons";
import { PureComponent } from "react";
import { TextInput } from "../../text-input";
import { func } from "prop-types";
export class TagsPickerDropdownSearchInput extends PureComponent {
  constructor(...args) {
    super(...args);

    this.handleChange = (event, {
      value
    }) => {
      const {
        onChange
      } = this.props;
      onChange(event, value);
    };
  }

  render() {
    return /*#__PURE__*/React.createElement(TextInput, Object.assign({}, this.props, {
      onChange: this.handleChange,
      icon: /*#__PURE__*/React.createElement(MagnifierIcon, {
        className: "fill-marine-500"
      }),
      iconPosition: "left",
      autofocus: true,
      autoComplete: "off"
    }));
  }

}
TagsPickerDropdownSearchInput.displayName = "TagsPickerDropdownSearchInput";
TagsPickerDropdownSearchInput.propTypes = {
  /**
   * Called on text change.
   * @param {SyntheticEvent} event - React's original SyntheticEvent.
   * @param {string} value - New value.
   * @returns {void}
   */
  onChange: func
};