import React from "react";
import { TextArea } from "@react-components/text-area";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("TextArea")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

stories().add("default", () => /*#__PURE__*/React.createElement(TextArea, null)).add("placeholder", () => /*#__PURE__*/React.createElement(TextArea, {
  placeholder: "Tell us more"
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextArea, {
  disabled: true,
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  placeholder: "Tell us more",
  disabled: true
}))).add("error", () => /*#__PURE__*/React.createElement(TextArea, {
  error: true,
  placeholder: "Tell us more"
})).add("interaction states", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, /*#__PURE__*/React.createElement(TextArea, {
  active: true,
  placeholder: "Tell us more",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  focus: true,
  placeholder: "Tell us more"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextArea, {
  hover: true,
  placeholder: "Tell us more",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  focus: true,
  hover: true,
  placeholder: "Tell us more"
})))).add("transparent", () => /*#__PURE__*/React.createElement(TextArea, {
  transparent: true,
  placeholder: "Tell us more"
})).add("resizable", () => /*#__PURE__*/React.createElement(TextArea, {
  resizable: true,
  placeholder: "Tell us more"
})).add("rows", () => /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(TextArea, {
  rows: 2,
  placeholder: "Tell us more",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  rows: 20,
  placeholder: "Tell us more",
  className: "mr5"
}))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb5"
}, /*#__PURE__*/React.createElement(TextArea, {
  fluid: true,
  placeholder: "Tell us more"
})), /*#__PURE__*/React.createElement("div", {
  className: "w-10"
}, /*#__PURE__*/React.createElement(TextArea, {
  fluid: true,
  placeholder: "Tell us more"
})))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, /*#__PURE__*/React.createElement(TextArea, {
  size: "small",
  placeholder: "Tell us more",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  size: "medium",
  placeholder: "Tell us more",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  size: "large",
  placeholder: "Tell us more"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, /*#__PURE__*/React.createElement(TextArea, {
  size: "small",
  defaultValue: "SpaceX will win the race!",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  size: "medium",
  defaultValue: "SpaceX will win the race!",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  size: "large",
  defaultValue: "SpaceX will win the race!"
})))).add("value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextArea, {
  placeholder: "Tell us more",
  value: "SpaceX will win the race!",
  className: "mr5"
}), /*#__PURE__*/React.createElement(TextArea, {
  placeholder: "Tell us more",
  defaultValue: "SpaceX will win the race!"
}))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement(TextArea, {
  className: "bg-red mr5",
  placeholder: "Tell us more"
}), /*#__PURE__*/React.createElement(TextArea, {
  style: {
    backgroundColor: "red"
  },
  placeholder: "Tell us more"
})));