import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { INPUT_UNSUPPORTED_PROPS, Input } from "../../input";
import { bool, element, number, object, oneOf, oneOfType, string } from "prop-types";
import { createShorthandFactory, throwWhenUnsupportedPropIsProvided } from "../../shared";
import { forwardRef } from "react";
const UNSUPPORTED_PROPS = INPUT_UNSUPPORTED_PROPS; // Duplicated here until https://github.com/reactjs/react-docgen/pull/352 is merged.

const INPUT_PROP_TYPES = {
  /**
   * Whether or not the input should autofocus on render.
   */
  autofocus: bool,

  /**
   * Delay before trying to autofocus.
   */
  autofocusDelay: number,

  /**
   * [Shorthand](/?path=/docs/getting-started-shorthand-props--page) for an [icon](/?path=/docs/components-icon--default-story).
   */
  icon: element,

  /**
   * An icon can appear on the left or right.
   */
  iconPosition: oneOf(["left", "right"]),

  /**
   * [Shorthand](/?path=/docs/getting-started-shorthand-props--page) to display a [button](/?path=/docs/components-button--default-story) after the value.
   */
  button: oneOfType([element, object]),

  /**
   * An input can vary in sizes.
   */
  size: oneOf(["small", "medium", "large"]),

  /**
   * Additional CSS classes to render on the wrapper element.
   */
  wrapperClassName: string,

  /**
   * Additional style to render on the wrapper element.
   */
  wrapperStyle: object
}; // Duplicated here until https://github.com/reactjs/react-docgen/pull/352 is merged.

const INPUT_DEFAULT_PROPS = {
  iconPosition: "right"
};

const propTypes = _objectSpread(_objectSpread({}, INPUT_PROP_TYPES), {}, {
  /**
   * The value of the input.
   */
  value: string,

  /**
   * The default value of the input.
   */
  defaultValue: string,

  /**
   * The [type](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input) of the input.
   */
  type: oneOf(["text", "password", "email"])
});

const defaultProps = _objectSpread(_objectSpread({}, INPUT_DEFAULT_PROPS), {}, {
  type: "text"
});

export function InnerTextInput(props) {
  const {
    forwardedRef
  } = props,
        rest = _objectWithoutProperties(props, ["forwardedRef"]);

  throwWhenUnsupportedPropIsProvided(props, UNSUPPORTED_PROPS, "@orbit-ui/react-components/TextInput");
  return /*#__PURE__*/React.createElement(Input, Object.assign({}, rest, {
    ref: forwardedRef,
    __componentName: "@orbit-ui/react-components/TextInput"
  }));
}
InnerTextInput.displayName = "InnerTextInput";
InnerTextInput.propTypes = propTypes;
InnerTextInput.defaultProps = defaultProps;
export const TextInput = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerTextInput, Object.assign({}, props, {
  forwardedRef: ref
})));
export const createTextInput = createShorthandFactory(TextInput);