import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Popup as SemanticPopup } from "semantic-ui-react";
import { SemanticRef, mergeClasses } from "../../shared";
import { bool } from "prop-types";
import { forwardRef } from "react";
const propTypes = {
  flush: bool
};
export function InnerTooltip(props) {
  const {
    flush,
    className,
    forwardedRef,
    children
  } = props,
        rest = _objectWithoutProperties(props, ["flush", "className", "forwardedRef", "children"]);

  return /*#__PURE__*/React.createElement(SemanticRef, {
    innerRef: forwardedRef
  }, /*#__PURE__*/React.createElement(SemanticPopup, Object.assign({}, rest, {
    className: mergeClasses(flush && "flush", className)
  }), children));
}
InnerTooltip.displayName = "InnerTooltip";
InnerTooltip.propTypes = propTypes;
export const Tooltip = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/React.createElement(InnerTooltip, Object.assign({}, props, {
  forwardedRef: ref
})));
[InnerTooltip, Tooltip].forEach(x => {
  x.Content = SemanticPopup.Content;
  x.Header = SemanticPopup.Header;
});