import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { AddIcon } from "@react-components/icons";
import { Button } from "@react-components/button";
import { Input } from "@react-components/input";
import { Label } from "@react-components/label";
import { TextArea } from "@react-components/text-area";
import { Tooltip } from "@react-components/tooltip";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Tooltip")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%",
    paddingTop: "100px"
  }).build()).build();
}

function SimpleTooltip(props) {
  return /*#__PURE__*/React.createElement(Tooltip, Object.assign({}, props, {
    content: "Adds users to your feed",
    trigger: /*#__PURE__*/React.createElement(Button, null, "Add")
  }));
}

SimpleTooltip.displayName = "SimpleTooltip";

function WideTooltip(_ref) {
  let {
    veryWide
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["veryWide"]);

  return /*#__PURE__*/React.createElement(Tooltip, Object.assign({}, rest, {
    wide: veryWide ? "very" : true,
    content: "This is a wide pop-up which allows for lots of content with additional space. You can fit a lot of words here and the paragraphs will be pretty wide.",
    trigger: /*#__PURE__*/React.createElement(Button, null, "Add")
  }));
}

WideTooltip.displayName = "WideTooltip";

function TriggerLessTooltip(props) {
  return /*#__PURE__*/React.createElement(Tooltip, Object.assign({}, props, {
    content: "Adds users to your feed"
  }));
}

TriggerLessTooltip.displayName = "TriggerLessTooltip";
stories().add("default", () => /*#__PURE__*/React.createElement(SimpleTooltip, null)).add("open", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  open: true
})).add("default open", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  defaultOpen: true
})).add("basic", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  basic: true,
  open: true
})).add("position", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "top center",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "top left",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "top right",
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "bottom center",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "bottom left",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "250px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "bottom right",
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "450px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "right center",
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleTooltip, {
  position: "left center",
  open: true
}))))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  size: "mini",
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  size: "tiny",
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleTooltip, {
  size: "small",
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  size: "large",
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleTooltip, {
  size: "huge",
  open: true
}))))).add("wide", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement(WideTooltip, {
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(WideTooltip, {
  veryWide: true,
  open: true
})))).add("inverted", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  inverted: true,
  open: true
})).add("flush", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  flush: true,
  open: true
})).add("disabled", () => /*#__PURE__*/React.createElement(SimpleTooltip, {
  disabled: true,
  open: true
})).add("triggers", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "tiny"
  }, "Add"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "small"
  }, "Add"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Button, null, "Add"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    size: "large"
  }, "Add"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    icon: /*#__PURE__*/React.createElement(AddIcon, null)
  }, "Add"),
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Label, null, "Add"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Label, {
    circular: true
  }, "A"),
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement("a", {
    href: "https://www.google.com"
  }, "Google"),
  open: true
})), /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement("span", null, "Span"),
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement("div", null, "Div"),
  open: true
}))), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(Input, null),
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(TriggerLessTooltip, {
  trigger: /*#__PURE__*/React.createElement(TextArea, null),
  open: true
}))))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  style: {
    marginRight: "200px"
  }
}, /*#__PURE__*/React.createElement(SimpleTooltip, {
  className: "bg-red",
  open: true
})), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(SimpleTooltip, {
  style: {
    backgroundColor: "red"
  },
  open: true
}))));